SDL_GetThreadName(3)

NAME
SDL_GetThreadName - Get the thread name as it was specified in SDL_CreateThread ().

HEADER FILE
Defined in SDL3/SDL_thread.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetThreadName(SDL_Thread *thread);

DESCRIPTION
This is internal memory, not to be freed by the caller, and remains valid until the specified thread is cleaned up by SDL_WaitThread ().

FUNCTION PARAMETERS

thread
    the thread to query

RETURN VALUE
Returns a pointer to a UTF-8 string that names the specified thread, or NULL if it doesn't have a name.

AVAILABILITY
This function is available since SDL 3.0.0.